Bug 48164 - add new parameters to rotatelogs
Summary: add new parameters to rotatelogs
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: support (show other bugs)
Version: 2.2.14
Hardware: All Linux
: P2 enhancement (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2009-11-09 12:56 UTC by Zhang
Modified: 2019-02-25 17:57 UTC (History)
1 user (show)



Attachments
patch to add -N <n> parameter to allow rotatelogs uses a fixed current log file name (4.10 KB, patch)
2009-11-09 12:56 UTC, Zhang
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zhang 2009-11-09 12:56:37 UTC
Created attachment 24509 [details]
patch to add -N <n> parameter to allow rotatelogs uses a fixed current log file name

We need to parse the access_log to collect metrics, with rotatelogs, the
current log file name always changes when the rotate happens which makes
parsing program difficult to determine what the current log file is.
Attached patch will add a new parameter -N <n> which will use the base name
only to create the new log file. When the rotate condition is met (either by
size or time), and -N <n> was specified, rotatelogs will move (rename) the old
logs to basename.n, basename.n-1.... and create a new file (not append) using
the base name. Total n history log files will be kept.
Comment 1 William A. Rowe Jr. 2018-11-07 21:09:08 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.